org.apache.tiles.template

## Class DefaultAttributeResolver

- java.lang.Object
- - org.apache.tiles.template.DefaultAttributeResolver

- All Implemented Interfaces:
    AttributeResolver

      public class DefaultAttributeResolver
      extends Object
      implements AttributeResolver

  The default implementation of AttributeResolver.
  Since:
    2.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAttributeResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attribute` | `computeAttribute(TilesContainer container, Attribute attribute, String name, String role, boolean ignore, Object defaultValue, String defaultValueRole, String defaultValueType, Request request)` Computes the attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultAttributeResolver

          public DefaultAttributeResolver()

  - ### Method Detail

    - #### computeAttribute

          public Attribute computeAttribute(TilesContainer container,
                                            Attribute attribute,
                                            String name,
                                            String role,
                                            boolean ignore,
                                            Object defaultValue,
                                            String defaultValueRole,
                                            String defaultValueType,
                                            Request request)

      Computes the attribute.
      Specified by:
        `computeAttribute` in interface `AttributeResolver`
      Parameters:
        `container` - The Tiles container to use.
        `attribute` - The attribute to return immediately, if not null.
        `name` - The name of the attribute.
        `role` - A comma-separated list of roles. If present, the attribute will be rendered only if the current user belongs to one of the roles.
        `ignore` - If `true` if the computed attribute is null, this problem will be ignored.
        `defaultValue` - The default value of the attribute. To use only if the attribute was not computed.
        `defaultValueRole` - The default comma-separated list of roles. To use only if the attribute was not computed.
        `defaultValueType` - The default type of the attribute. To use only if the attribute was not computed.
        `request` - TODO
      Returns:
        The computed attribute.

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.